[package]
authors = ["{{authors}}"]
edition = "2021"
name = "{{project-name}}"
version = "0.1.0"

[dependencies]
cortex-m-rt = "0.7"
panic-halt = "0.2.0"

bern-kernel = "0.3"

# Adjust here and in `.cargo/conf.toml` for your device.
[dependencies.stm32f4xx-hal]
features = ["stm32f411"]
version = "0.13"

# this lets you use `cargo fix`!
[[bin]]
name = "{{project-name}}"
test = false
bench = false

# Optimize all dependencies for better RTOS performance
[profile.dev.package."*"]
codegen-units = 1
opt-level = "s"

[profile.release]
codegen-units = 1 # better optimizations
debug = true # symbols are nice and they don't increase the size on Flash
lto = true # better optimizations

[patch.crates-io]
bern-conf = { path = "conf" }